%define commit ee6b73a5b14f

Name:           python-yenc
Version:        0.4.0
Release:        %mkrel 1
Summary:        yEnc Module for Python
Group:          Development/Python
License:        GPLv2+
URL:            https://bitbucket.org/dual75/yenc
Source0:        https://bitbucket.org/dual75/yenc/get/%{version}.tar.xz
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

%description
python-yenc is a yEnc decoding library for Python. yEnc is a
binary-to-text encoding scheme for transferring binary files
in messages on Usenet or via e-mail.

%prep
%setup -q -n dual75-yenc-%{commit}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build


%install
%{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod g-w $RPM_BUILD_ROOT/%{python_sitearch}/_yenc.so


%check
PYTHONPATH="$PYTHONPATH:$RPM_BUILD_ROOT/%{python_sitearch}" %{__python} test/test.py


%files
%doc README TODO COPYING
%{py_platsitedir}/*


%changelog
* Sat Aug 10 2013 billybot <billybot> 0.4.0-1pclos2013
- update
